﻿using DevExpress.Data;
using DevExpress.Utils;
using DevExpress.XtraEditors;
using DevExpress.XtraGrid.Columns;
using DevExpress.XtraGrid.Views.Grid;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.gridView.InitializeView
            (
                false,                          // Multi Select
                GridMultiSelectMode.CellSelect, // Grid Multi Select Mode
                DrawFocusRectStyle.CellFocus,   // Draw Focus Rect Style
                true,                           // Show Indicator
                true,                           // Show Column Headers
                true,                           // Allow Column Moving
                true,                           // Allow Column Resizing
                true,                           // Allow Filter
                true,                           // Allow Sort
                false,                          // Allow Cell Merge
                EditorShowMode.Default,         // Editor Show Mode
                false                           // Editable
            );

            this.gridView.OptionsBehavior.AutoPopulateColumns = true;

            this.gridView.OptionsView.ShowGroupPanel     = true;
            this.gridView.OptionsView.ShowGroupedColumns = true;

            this.gridControl.DataSource = new nwindDataSetTableAdapters.OrdersTableAdapter().GetData();

            GridColumnSortInfo [] gridColumnSortInfoArray =
            { 
                new GridColumnSortInfo(this.gridView.Columns["ShipCountry"], ColumnSortOrder.Ascending ), 
                new GridColumnSortInfo(this.gridView.Columns["ShipCity"   ], ColumnSortOrder.Ascending ),
                new GridColumnSortInfo(this.gridView.Columns["OrderID"    ], ColumnSortOrder.Descending)
            };

            this.gridView.SortInfo.ClearAndAddRange(gridColumnSortInfoArray, 2);

            this.gridView.BestFitColumns();
        }

        #endregion
    }
}